Subject: Re: Distributed storage. Move away from char device ioctls.

From: Jeff Garzik <[email-masked]>
Date: Sat, 15 Sep 2007 10:35:16 -0400

Robin Humble wrote:
> On Fri, Sep 14, 2007 at 03:07:46PM -0400, Jeff Garzik wrote:
>> It is my hope that you will put your skills towards a distributed 
>> filesystem :)  Of the current solutions, GFS (currently in kernel) 
>> scales poorly, and NFS v4.1 is amazingly bloated and overly complex.
>>
>> I've been waiting for years for a smart person to come along and write a 
>> POSIX-only distributed filesystem.
> 
> it's called Lustre.
> works well, scales well, is widely used, is GPL.
> sadly it's not in mainline.

Lustre is tilted far too much towards high-priced storage, and needs 
improvement before it could be considered for mainline.

	Jeff